Skip to end of metadata
Go to start of metadata

Just installed 4.2.1 on Confluence 3.4.3 – results were not good (sad)

Right now, I have lost all my theme work because when page loads, I find the following errors appear in the console:

GET https://devwiki.domain.tld/plugins/builder/layout-resources.action?layoutId=WIKI21&resource=javascript&hash=1306938075329 404 (Not Found)
layout-resources.action GET https://devwiki.domain.tld/plugins/builder/layout-resources.action?layoutId=WIKI21&key=MAIN&resource=combinedcss&hash=1306938075329s2033747_ 404 (Not Found)
layout-resources.action GET https://devwiki.domain.tld/plugins/builder/layout-resources.action?layoutId=WIKI21&key=MAIN&resource=importcss&hash=1306938075329s2033747_ 404 (Not Found)
Home:146 Uncaught ReferenceError: BuilderEvents is not defined

Since I didn't do ANYTHING other than install the upgraded plugin, I am (as I hope you can imagine) frustrated.

Is there any help out there?

  • No labels

8 Comments

  1. The confluence-home/logs/atlassian-confluence.log file is usually more informative than the console ... take a read through that and it should give you a better idea of what's going on.

    1. Unknown User (hendry.betts@viasat.com)

      ok... here's what the log is throwing :

      
      2011-06-01 07:18:59,507 ERROR [TP-Processor7] [atlassian.confluence.servlet.ConfluenceServletDispatcher] serviceAction There is no Action mapped for namespace /plugins/builder and action name layout-resources
      
      

      any ideas?

      1. Do you have a 'context path' set for your instance?

        Have you got the base-url set correctly?

        1. Unknown User (hendry.betts@viasat.com)

          Alain,

          Thanks for your quick response. Yes. I have these things set and set properly. Themebuilder 4.2.0 works with no issues. It breaks on 4.2.1 (upgrading).

  2. Hi Hendry, can you check that Theme Builder and all of it's modules are enabled.
    It may be worth just uninstalling and then reinstalling Theme Builder.

    1. Unknown User (hendry.betts@viasat.com)

      Hey Mark,
      Yes, everything is enabled. As I stated before, this was an upgrade from 4.2.0 to 4.2.1. The system worked with 4.2.0 and went ferschluggina in 4.2.1.

  3. Unknown User (hendry.betts@viasat.com)

    Folks, this is no joke and very important. Is there ANYONE who is experiencing this problem?

    1. We have not heard of anyone else with this problem.